package com.sonic.lion.event.inner;

import com.sonic.common.event.Event;
import com.sonic.lion.config.EventConfig;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 定义当前系统的消息
 *
 * @author code
 */
@AllArgsConstructor
@Getter
public enum EventType {
    /**
     * 事件定义
     */
    ACCOUNT_BUFF_BILL_SYNC_OPEN_SEARCH(EventConfig.DEFAULT_SCENE, EventConfig.DEFAULT_MODULE, "account_buff_bill_sync_open_search", "流水同步到open search"),

    CHARGE_BUFF(EventConfig.DEFAULT_SCENE, EventConfig.DEFAULT_MODULE, "charge_buff", "充值"),

    ;

    EventType(String scene, String module, String name, String desc) {
        this.eventCode = Event.EventCode.builder()
                .scene(scene)
                .module(module)
                .name(name)
                .build();
        this.desc = desc;
    }

    private String desc;
    private Event.EventCode eventCode;
}
